libzypp 17.37.10

zypp::PoolItemBest::Impl Struct Reference

PoolItemBest implementation. More...

## Public Member Functions
| Impl (bool preferNotLocked_r)

## Public Attributes
Container | _container
bool | _preferNotLocked

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

PoolItemBest implementation.

Definition at line 29 of file PoolItemBest.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::PoolItemBest::Impl::Impl | ( | bool | preferNotLocked_r | ) |
| inline

Definition at line 31 of file PoolItemBest.cc.

## Member Function Documentation

## ◆ clone()

Impl * zypp::PoolItemBest::Impl::clone | ( |  | ) | const
| inline private

clone for RWCOW_pointer

Definition at line 41 of file PoolItemBest.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _container

Container zypp::PoolItemBest::Impl::_container

Definition at line 35 of file PoolItemBest.cc.

## ◆ _preferNotLocked

bool zypp::PoolItemBest::Impl::_preferNotLocked

Definition at line 36 of file PoolItemBest.cc.

The documentation for this struct was generated from the following file:

- zypp/PoolItemBest.cc